#!/usr/bin/env python

import sys
import warnings
from exceptions import Warning
warnings.simplefilter('error', Warning)
try:
    import gtk
    import pynotify
except Exception, e:
    print "Erreur gtk : %s" % e
    sys.exit(1)
from ConfigParser import ConfigParser
from optparse import OptionParser

if __name__ == '__main__':
    parser = OptionParser(__doc__, version = '%prog v1.0')
    parser.add_option("-m", "--message", dest = "message",
                      default=None,
                      help="message principale de la fenetre"
                      )
    parser.add_option("-t", "--title", dest = "title",
                      default=None,
                      help="titre de la fenetre"
                      )
    options, args = parser.parse_args()
    if not options.message or not options.title:
        raise parser.error("option --message et --title obligatoire")
    if args:
        raise parser.error("trop d'arguments (%s)" % (args,))
    if not pynotify.init("Basics"):
        sys.exit(1)
#    title="Batterie faible"
#    summary="Attention, votre batterie est descendu sous le seuil critique"
    n = pynotify.Notification(options.title, options.message)
    n.set_urgency(pynotify.URGENCY_CRITICAL)
    n.set_timeout(pynotify.EXPIRES_NEVER)
    helper = gtk.Button()
    icon = helper.render_icon(gtk.STOCK_DIALOG_WARNING, gtk.ICON_SIZE_DIALOG)
    n.set_icon_from_pixbuf(icon)
    if not n.show():
        print "Failed to send notification"
        sys.exit(1)
